# uni-app 脚手架模板

## UI 框架
  项目中使用的 UI 框架是uView，官网： https://www.uviewui.com/guide/demo.html

## 运行
  1. 如果没有安装依赖，请先运行 `npm i` 或 `yarn` 安装依赖
  2. 执行 `npm run dev:mp-{平台名}` 或 `yarn run dev:mp-{平台名}` 等命令执行完成后使用对应的模拟器打开 `{root}/dist/dev/mp-{平台名}` 目录进行预览

## 打包
  - *暂时只支持微信小程序的上传*
  1. 执行 `npm run build:mp-weixin:upload` 或 `yarn run build:mp-weixin:upload` 会将当前分支下的代码先打包后上传到微信后台

## 注意事项
  1. 微信小程序需要在两个地方配置 appId ，分别是 `src/manifest.json` 和 `package.json`中的属性`buildConfig`中的`weixin`
  2. 如果想修改微信小程序上传配置信息可以修改根目录下的 `weixin.upload.js` 文件，可用配置如下
<table><thead><tr><th>键</th> <th>类型</th> <th>必填</th> <th>说明</th></tr></thead> <tbody><td>version</td> <td>string</td> <td>是</td> <td>自定义版本号</td></tr> <tr><td>desc</td> <td>string</td> <td>否</td> <td>自定义备注</td></tr> <tr><td>setting</td> <td>object</td> <td>否</td> <td>#编译设置</td></tr> <tr><td>onProgressUpdate</td> <td>function</td> <td>否</td> <td>进度更新监听函数</td></tr> <tr><td>robot</td> <td>number</td> <td>否</td> <td>指定使用哪一个 ci 机器人，可选值：1 ~ 30</td></tr> <tr><td>threads</td> <td>number</td> <td>否</td> <td>指定本地编译过程中开启的线程数</td></tr></tbody></table>