/*
 * @Descripttion: HJ
 * @Company: 思宏科技
 * @version: v1.0
 * @Author: HJ
 * @Date: 2021-06-04 08:56:45
 * @LastEditors: HJ
 * @LastEditTime: 2021-11-30 17:41:40
 */
import {
  _HOSPITAL,
  _NURSE,
  _UNION_URL,
  _CLIENT_URL,
  _NOTIFY_MSM,
  _MERCHANT_URL,
  _NURSING
} from './base-url'

// 用户信息
export const _USER = `${_UNION_URL}/mini-users`

// 医院信息
export const _HOSPITAL_INFO = `${_HOSPITAL}/hospital-info`

// 陪护订单
export const _NURSING_ORDER = `${_NURSING}/v2client`
export const _NURSING_MEMBER_CLIENT = `${_NURSING_ORDER}/_MEMBERID_`
export const _NURSING_PATIENT = `${_NURSING_MEMBER_CLIENT}/patients`
export const _NURSING_ORDERLIST = `${_NURSING_ORDER}/store/_STOREID_`

// 患者
export const _NURSE_MEMBER_CLIENT = `${_NURSE}/_MEMBERID_`
export const _PATIENT = `${_NURSE_MEMBER_CLIENT}/patients`

// 护工订单
export const _NURSE_ORDER = `${_NURSE_MEMBER_CLIENT}/nurse-orders`

// 地址
export const _ADDRESS = `${_CLIENT_URL}/_MEMBERID_/address`

// 文章
export const _ARTICLES = `${_HOSPITAL}/hospitals/_HOSPITALID_/articles`

// 获取商家列表
export const _MERCHANT = `${_CLIENT_URL}/store/_HOSPITALID_/merchants`

// 订单
export const _MEMBER_ORDER = `${_CLIENT_URL}/_MEMBERID_/order`
export const _PATIENT_ORDER = `${_CLIENT_URL}/_MEMBERID_/order/_STOREID_`

// 门店
export const _STORE = `${_CLIENT_URL}/store`
export const _STORE_ID = `${_STORE}/_STOREID_`

// 商户中心
export const _MERCHANT_CLIENT = `${_MERCHANT_URL}/client`

// 远程探视

export const _REMOTE_VISITS = `${_HOSPITAL}/remote-visits`
export const _NURSE_CLIENT = `${_NURSE}`

// 会员
export const _MEMBERS = `${_CLIENT_URL}/members/_MEMBERID_`