/*
 * @Descripttion: zx
 * @Company: 思宏科技
 * @version: v1.0
 * @Author: zx
 * @Date: 2021-11-09 11:43:47
 * @LastEditors: zx
 * @LastEditTime: 2021-11-09 11:55:53
 */
// components/shoping-tabbar/index.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    selected: {
      type: Number,
      default:0
    }
  },  

  /**
   * 组件的初始数据
   */
  data: {
    selected:0,
    color: "#7A7E83",
    selectedColor: "#3cc51f",
    list: [
      {
        pagePath: "/remote/doctor/home/index",
        text: "首页",
        iconPath: "/remote/imges/TRTC/home-false.png",
        selectedIconPath: "/remote/imges/TRTC/home-true.png"
      },
      {
        pagePath: "/remote/doctor/home/index",
        text: "患者",
        iconPath: "/remote/imges/TRTC/patient-false.png",
        selectedIconPath: "/remote/imges/TRTC/patient-true.png"
      },
      {
        pagePath: "/shoping/member/cart/index",
        text: "我的",
        iconPath: "/remote/imges/TRTC/mine-false.png",
        selectedIconPath: "/remote/imges/TRTC/icon_man.png"
      },
     
    ]
  },


  /**
   * 组件的方法列表
   */
  methods: {
    switchTab(e) {
      let data = e.currentTarget.dataset
      let url = data.path
      wx.redirectTo({
        url
      })
    }
  }
})
